/* text library ver.0.1 */
/* by Marek Zelem	*/

#ifndef _TEXT_LIB_H
#define _TEXT_LIB_H

#define	TEX_WERR	0
#define	TEX_W0		1
#define	TEX_W1		2
#define	TEX_W2		3
#define	TEX_W3		4


typedef struct	{	char *start;
			long len;
			char *p,*l;
		} text_t;

typedef unsigned char char_fd_t[32/*256>>3*/];

int tex_verlib( char *buf );

int tex_isoneof( char c, char *s );

void tex_charfd_zero( char_fd_t *char_fd );
void tex_charfd_fill( char_fd_t *char_fd );
void tex_charfd_set( unsigned char c, char_fd_t *char_fd );
void tex_charfd_clr( unsigned char c, char_fd_t *char_fd );
int tex_charfd_isset( unsigned char c, char_fd_t *char_fd );
/* init retazec ukonceny '\0' alebo ']' typu: afh-k alebo !a-z */
int tex_charfd_init( char *init, char_fd_t *char_fd );


/* bslash - smernik na \\ , ak len!=NULL potom vrati dlzku sekvencie */
/* RETURN VALUE: ascii kod znaku */
char tex_parse_backslash( const char *bslash, long *len );

int tex_open( text_t *tt, char *start, long len );
int tex_close( text_t *tt, char **start, long *len );
void tex_discardline( text_t *tt );
void tex_ldiscardseparators( text_t *tt, char *separators );
int tex_lgetword( text_t *tt, char *buf, long len, char *separators );
int tex_lgetline( text_t *tt, char *buf, long len );
char tex_lgetchar( text_t *tt );
int tex_iseol( text_t *tt );
int tex_isend( text_t *tt );
long tex_getpos( text_t *tt );
int tex_setpos( text_t *tt, long pos );

#endif _TEXT_LIB_H

